%define upstream_name    GD-SecurityImage
%define upstream_version 1.75

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Security image (captcha) generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD)
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Test::More) >= 0.400.0
BuildArch:  noarch

%{?perl_default_filter}

%description
The (so called) _"Security Images"_ are so popular. Most internet software
use these in their registration screens to block robot programs (which may
register tons of fake member accounts). Security images are basicaly,
graphical *CAPTCHA*s (*C*ompletely *A*utomated *P*ublic *T*uring Test to
Tell *C*omputers and *H*umans *A*part). This module gives you a basic
interface to create such an image. The final output is the actual graphic
data, the mime type of the graphic and the created random string. The
module also has some _"styles"_ that are used to create the background (or
foreground) of the image.

If you are an 'Authen::Captcha' user, see the GD::SecurityImage::AC manpage
for migration from 'Authen::Captcha' to 'GD::SecurityImage'.

This module is *just an image generator*. Not a _captcha handler_. The
validation of the generated graphic is left to your programming taste. But
there are some _captcha handlers_ for several Perl FrameWorks. If you are
an user of one of these frameworks, see the /"GD::SecurityImage
Implementations" manpage in the /"SEE ALSO" manpage section for
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/GD


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.750.0-2.mga8
+ Revision: 1521533
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Dec 28 2018 tv <tv> 1.750.0-1.mga7
+ Revision: 1345399
- update to 1.75

* Thu Sep 20 2018 umeabot <umeabot> 1.730.0-6.mga7
+ Revision: 1283923
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.730.0-5.mga7
+ Revision: 1164478
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.730.0-4.mga7
+ Revision: 1160233
- Fix building on Perl without . in @INC

* Sun Jun 19 2016 pterjan <pterjan> 1.730.0-3.mga6
+ Revision: 1027688
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.730.0-2.mga6
+ Revision: 966932
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 1.730.0-1.mga6
+ Revision: 847122
- update to 1.73

* Sun Oct 19 2014 umeabot <umeabot> 1.720.0-7.mga5
+ Revision: 788556
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.720.0-6.mga5
+ Revision: 749563
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.720.0-5.mga5
+ Revision: 732182
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.720.0-4.mga5
+ Revision: 684813
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.720.0-3.mga4
+ Revision: 511767
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.720.0-2.mga3
+ Revision: 367535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 1.720.0-1.mga3
+ Revision: 291688
- update to 1.72

* Mon Sep 26 2011 jquelin <jquelin> 1.710.0-1.mga2
+ Revision: 148080
- update to 1.71

* Thu Jan 27 2011 jquelin <jquelin> 1.700.0-1.mga1
+ Revision: 41942
- mageia rebuild
- imported package perl-GD-SecurityImage

